﻿@model IEnumerable<Avira.MarketingResearch.Model.ViewModels.Trend.TrendKeyWordMapViewModel>
@*@model IEnumerable<Avira.MarketingResearch.Model.ViewModels.Trend.TrendKeyWordMapInsertDbViewModel1>*@
@using Microsoft.AspNetCore.Http
@using Newtonsoft.Json;
@using Avira.MarketingResearch.Model.ViewModels.Trend;
@{
    ViewData["Title"] = "Index";
    Layout = "~/Views/Shared/_LayoutWithTrendTabAndLeftMenu.cshtml";
}

<script src="~/assets/plugins/jquery/jquery-3.3.1.min.js"></script>

@using (Html.BeginForm("GetTrendKeywords", "TrendKeywordMap", FormMethod.Post, new { @class = "" }))
{
    Guid trendNoteId = ViewBag.TrendNoteID;
    Guid Id = ViewBag.Id;
    string TrendName = ViewBag.TrendName;
    @Html.HiddenFor(model => Id)
    @Html.HiddenFor(model => TrendName)
    @*@Html.HiddenFor(model=> model.FirstOrDefault().TrendNoteModel.Id == trendNoteId);*@

    <!-- begin #content -->
    <div id="content" class="content">
        <br />
        <br />


        @if (@Model.Count() != 0)
        {
            @Html.Partial("_TrendDetails", @Model.First().TrendModel)
        }
        else
        {
            var myComplexObject = Context.Session.GetComplexData<TrendViewModel>("Test");
            //alert(myComplexObject);
            @Html.Partial("_TrendDetails", myComplexObject)
        }
        <!-- end section-container -->
        <!-- begin page-header -->
        <div style="margin-top:25px;" class="section-with-top-border">

            <div class="form-group">
                @if (ViewBag.Message != null)
                {
                    <div class="text-center">
                        <label class="alert alert-danger text-center viewbagmsg" role="alertdialog">@ViewBag.Message</label>
                    </div>
                }
                <div class="text-center">
                    <label class="lblErrorMsg alert alert-danger text-center" role="alertdialog"></label>
                </div>
            </div>
        </div>
        <!-- end page-header -->
        <!-- begin section-container -->
        <div style="margin-top:35px;" class="section-with-top-border">
            <!-- begin panel -->
            <div class="panel panel-primary">
                <div class="panel-heading">
                    <h3 class="panel-title">Keywords</h3>
                </div>
                <div class="panel-body">
                    <div class="row">
                        <div class="col-sm-12">
                            <div class="row" id="target">
                                @if (ViewBag.Trends != null)
                                {
                                    @for (int i = 0; i < ViewBag.Trends.Count; i++)
                                    {
                                        <div class="form-group col-xs-2">
                                            <div class="input-group">
                                                @{
                                                    string TrendKeyWord = ViewBag.Trends[i].TrendKeyWord;
                                                }
                                                @(Html.TextBoxFor(model => TrendKeyWord, new { @class = "form-control TrendKeyWord" }))
                                                @Html.ValidationMessageFor(Model => TrendKeyWord, "", new { @class = "text-danger" })


                                                <span class="input-group-btn">
                                                </span>
                                            </div>
                                        </div>
                                    }
                                }
                            </div>
                            <div class="row pull-right">
                                <div class="col-xs-1">
                                    <button type="button" class="btn btn-link btn-sm" id="add">
                                        <span class="glyphicon glyphicon-plus"></span> Add Field
                                    </button>
                                    <button type="button" class="btn btn-link btn-sm" id="remove">
                                        <span class="glyphicon glyphicon-remove"></span> Remove Field
                                    </button>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- end panel -->
        </div>
        <!-- begin section-container -->
        <div class="section-with-top-border p-b-5">
            <div class="row">
                <!-- begin col-6 -->
                <div class="col-lg-6">
                    <div class="panel panel-info" data-sortable-id="ui-widget-8">
                        <div class="panel-heading">
                            <h4 class="panel-title">
                                <label class="col-md-6 col-form-label">Author Note<span class="text-danger">*</span></label>
                            </h4>
                        </div>
                        @{string AuthorRemark = ViewBag.Author;}
                        @Html.TextAreaFor(model => AuthorRemark, htmlAttributes: new { @class = "form-control no-rounded-corner author-remark", rows = "6", })
                        @Html.ValidationMessageFor(model => AuthorRemark, "", new { @class = "text-danger" })
                        @*}*@

                        <script>
                            CKEDITOR.replace('AuthorRemark', {
                                toolbarGroups: [{
                                    "name": "basicstyles",
                                    "groups": ["basicstyles"]
                                },
                                {
                                    "name": "links",
                                    "groups": ["links"]
                                },
                                {
                                    "name": "paragraph",
                                    "groups": ["list", "blocks"]
                                },

                                {
                                    "name": "document",
                                    "groups": ["mode"]
                                },
                                {
                                    "name": "insert",
                                    "groups": ["insert"]
                                },
                                {
                                    "name": "styles",
                                    "groups": ["styles"]
                                },
                                {
                                    "name": "about",
                                    "groups": ["about"]
                                }
                                ],
                                removeButtons: 'Underline,Strike,Subscript,Superscript,Anchor,Styles,Specialchar'
                            });
                        </script>

                    </div>
                </div>
                <!-- end col-6 -->
                <!-- begin col-6 -->
                <div class="col-lg-6">
                    <div class="panel panel-info" data-sortable-id="ui-widget-8">
                        <div class="panel-heading">
                            @{
                                string ApproverRemarkq = @ViewBag.NoteApprover;
                            }
                            <h4 class="panel-title">
                                @Html.LabelFor(model => ApproverRemarkq, "Approver Notes", htmlAttributes: new { @class = "col-md-6 col-form-label" })
                            </h4>
                        </div>
                        @{
                            string ApproverRemark = ViewBag.NoteApprover;}
                        @Html.TextAreaFor(model => ApproverRemark, htmlAttributes: new { @class = "form-control no-rounded-corner", rows = "6" })
                        @Html.ValidationMessageFor(model => ApproverRemark, "", new { @class = "text-danger" })

                        <script>
                            CKEDITOR.replace('ApproverRemark', {
                                toolbarGroups: [{
                                    "name": "basicstyles",
                                    "groups": ["basicstyles"]
                                },
                                {
                                    "name": "links",
                                    "groups": ["links"]
                                },
                                {
                                    "name": "paragraph",
                                    "groups": ["list", "blocks"]
                                },

                                {
                                    "name": "document",
                                    "groups": ["mode"]
                                },
                                {
                                    "name": "insert",
                                    "groups": ["insert"]
                                },
                                {
                                    "name": "styles",
                                    "groups": ["styles"]
                                },
                                {
                                    "name": "about",
                                    "groups": ["about"]
                                }
                                ],
                                removeButtons: 'Underline,Strike,Subscript,Superscript,Anchor,Styles,Specialchar'
                            });
                        </script>
                    </div>
                </div>
            </div>
            <!-- end row -->
        </div>
        <!-- end section-container -->
        @Html.Partial("_TrendAction")
        <!-- end section-container -->
        <!-- begin #footer -->
        <div id="footer" class="footer">
            <span class="pull-right">
                <a href="javascript:;" class="btn-scroll-to-top" data-click="scroll-top">
                    <i class="fa fa-arrow-up"></i> <span class="hidden-xs">Back to Top</span>
                </a>
            </span>
            &copy; 2018 <b>Source Admin</b> All Right Reserved
        </div>
        <!-- end #footer -->
    </div>
    <!-- end #content -->
}
<script>
    function highlightTextbox() {
        var empty = 0;
        $('input[name=TrendKeyWord]').each(function () {
            if (this.value == "") {
                empty++;
                $(this).focus();
                return false;
            }
        });
    };

    $(document).ready(function () {
        $(".lblErrorMsg").hide();

        $("#add").on("click", function () {
            var TrendKeyWord;
            $("#target").append('<div class="form-group col-xs-2"><div class="input-group"><input class="form-control TrendKeyWord" name="TrendKeyWord" id="TrendKeyWord" onblur="highlightTextbox()" /><span class="input-group-btn"></span></div></div></div>');
            highlightTextbox();
        });


        $("#remove").on("click", function () {
            //Remove input field
            $("#target").children().last().remove();
        });
        var arrKeyWords = [];
        $(".btnSave").on("click", function (e) {
            if ($(".TrendKeyWord").length == 0) {
                e.preventDefault();
                $(".lblErrorMsg").show();
                $(".viewbagmsg").hide();
                $(".lblErrorMsg").text("Please enter atleast one Trend Keyword.");
                $('html, body').animate({
                    scrollTop: 0
                }, 500);
                return false;
            };

            if ($(".TrendKeyWord").length < 3) {
                debugger;
                $(".lblErrorMsg").text("Please enter minimum 3 keywords.");
                $(".lblErrorMsg").show();
                $(".viewbagmsg").hide();
                $('html, body').animate({
                    scrollTop: 0
                }, 500);
                return false;
            }

            $('.TrendKeyWord').each(function () {
                if (this.value == '') {
                    e.preventDefault();
                    //alert("Please enter Trend Keywords");
                    $(".lblErrorMsg").show();
                    $(".viewbagmsg").hide();
                    $(".lblErrorMsg").text("");
                    $(".lblErrorMsg").text("Please enter Trend Keywords");
                    $('html, body').animate({
                        scrollTop: 0
                    }, 500);
                    return false;
                }
                else {
                    if (this.value != '') {
                        var text = $(this).val().trim();
                        $(".TrendKeyWord").not($(this)).each(function () {
                            if (text == $(this).val()) {
                                arrKeyWords.push($(this).val());
                                $(".lblErrorMsg").show();
                                $(".viewbagmsg").hide();
                                $(".lblErrorMsg").text("You have entered the existing keywords, please enter new keywords.");
                                $('html, body').animate({
                                    scrollTop: 0
                                }, 500);
                                e.preventDefault();
                                return false;
                            }
                        });
                    }
                    else {
                        $(".viewbagmsg").hide();
                        $(".lblErrorMsg").hide();
                        return true;
                    }
                }
            });

            var desc = CKEDITOR.instances['AuthorRemark'].getData();
            if (desc == "") {
                e.preventDefault();
                $(".lblErrorMsg").show();
                $(".viewbagmsg").hide();
                $(".lblErrorMsg").text("Please enter Author Notes.");
                $('html, body').animate({
                    scrollTop: 0
                }, 500);
                return false;
            };
        });

        //$(".btnSubmit").on("click", function (e) {
        //    if ($(".TrendKeyWord").length == 0) {
        //        e.preventDefault();
        //        $(".lblErrorMsg").show();
        //        $(".viewbagmsg").hide();
        //        $(".lblErrorMsg").text("Please enter atleast one Trend Keyword.");
        //        $('html, body').animate({
        //            scrollTop: 0
        //        }, 500);
        //        return false;
        //    };
        //    $('.TrendKeyWord').each(function () {
        //        if (this.value == '') {
        //            e.preventDefault();
        //            //alert("Please enter Trend Keywords");
        //            $(".lblErrorMsg").show();
        //            $(".viewbagmsg").hide();
        //            $(".lblErrorMsg").text("Please enter Trend Keywords");
        //            //$(".section-with-top-border").scrollTop();
        //            $('html, body').animate({
        //                scrollTop: $('.section-with-top-border').position().top
        //            }, 'slow');
        //            return false;
        //        }
        //        else {
        //            if (this.value != '') {
        //                var text = $(this).val();
        //                $(".TrendKeyWord").not($(this)).each(function () {
        //                    if (text == $(this).val()) {
        //                        e.preventDefault();
        //                        //alert('Already Exists');
        //                        $(".lblErrorMsg").show();
        //                        $(".viewbagmsg").hide();
        //                        $(".lblErrorMsg").text("Already Exists");
        //                        //$(".section-with-top-border").scrollTop()
        //                        $('html, body').animate({
        //                            scrollTop: $('.section-with-top-border').position().top
        //                        }, 'slow');

        //                        return false;
        //                    }
        //                });
        //            }
        //            else {
        //                return true;
        //            }
        //        }
        //    });
        //});
    });
</script>

